/******************************************************************************
HEADER DA CLASSE CLASSE CONFIG
CRIADO: 25-11-2008
ALTERADO: 27-12-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/
#ifndef CONFIG_H
#define CONFIG_H

#include <QtGui>

#include "const.h"
#include "ferramentas.h"

class Config
{

public:
	Config();
	void setArqConfig();
	void setCheckTextoSecundario(unsigned short int estado);
	bool getCheckTextoSecundario();
	void setTextoPrincipal(const QString &);
	QString getTextoPrincipal();
	void setTextoSecundario(const QString &);
	QString getTextoSecundario();
	void setPointSizeTexto(short int pointSize, const QString &classe);
	int getPointSizeTexto(const QString &classe);
	void setCheckComboLeitura(bool estado);
	bool getCheckComboLeitura();
	void setModoComboLeitura(short int idModo);
	int getModoComboLeitura();
	void setPesquisaOpcoes(short int idModo);
	int getPesquisaOpcoes();
	void setDirHome(const QString &strHome);
	QString getDirHome();
	void setResolucao(short int w, short int h);
	int getResolucaoW();
	int getResolucaoH();

private:
	int _getResolucao(char componente);
	Ferramentas ferramentas;
};

#endif

