/******************************************************************************
CLASSE FRMBASE
CRIADO: 21-10-2008
ALTERADO: 15-01-2009
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#include "frmbase.h"

FrmBase::FrmBase():QDialog(){
	resolucao.lerResolucao();
	FONTE_GRANDE = resolucao.getFonteGrande();
	FONTE_MEDIA = resolucao.getFonteMedia();
	FONTE_PEQUENA = resolucao.getFontePequena();

	setWindowTitle((const QString&)NOME);
	QPixmap icon;
	icon.load((const QString&)DIR_ICONS + "icon.png");
	setWindowIcon(icon);
}
void FrmBase::definirObjetosCancelar(){
	fonte = QFont("Bitstream", FONTE_PEQUENA);
	chkFecharAlto = new QCheckBox("Fechar tela automaticamente", this);
	chkFecharAlto->setFont(fonte);
	chkFecharAlto->setChecked(true);
	
	fonte = QFont("Bitstream", FONTE_MEDIA);
	btnCancelar = new QPushButton("Cancelar", this );
	btnCancelar->setFont(fonte);
	btnCancelar->setToolTip("Cancelar este Formulrio");
	connect( btnCancelar, SIGNAL( clicked () ), this, SLOT(close() ) );
}

