/******************************************************************************
HEADER DA CLASSE BANCOSYSTEM
CRIADO: 28-07-2008
ALTERADO: 21-11-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef BANCOSYSTEM_H
#define BANCOSYSTEM_H

#include <QtGui>
#include <QSqlDatabase>
#include <QSqlQuery>

class BancoSystem : QObject
{

public:
	BancoSystem();
	virtual ~BancoSystem();
	QSqlDatabase dbSystem;
	QVariant v;

	QString getPromessa(unsigned short int idPromessa, unsigned short int idTestamento);
	int getQtdPromessas(unsigned short int idTestamento);
	QStringList getPassagens(unsigned short int idTestamento);
	QString getQtdRegistrosPassagens(const QString &passagem, unsigned short int idTestamento);
	QStringList getRegistrosPassagens(const QString &passagem, unsigned short int idTestamento);
	QStringList getLivros(int idTestamento, int idTraducao);
	QStringList getLivrosOrdenados(int idTestamento, int idTraducao);
	int getQtdCapitulos(const QString &livro, int idTestamento, int idTraducao);
	int getIdLivro(const QString &livro, int idTestamento, int idTraducao);
	QStringList getLivroProxAnt(const QString &livro, int idTestamento, int idTraducao, int idOperacao);

};
#endif

