/******************************************************************************
HEADER DA CLASSE DIALANOTACOES
CRIADO: 31-10-2008
ALTERADO: 17-12-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef DIALANOTACOES_H
#define DIALANOTACOES_H

#include <QtGui>

#include "dialbase.h"

#include "readbiblia.h"

class DialAnotacoes : public DialBase
{
Q_OBJECT

public:
	DialAnotacoes();
	
	QGroupBox* box;
	QLabel* lblLivro;
	QLabel* lblCapitulo;
	QLabel* lblAnotacao;
	QComboBox* cmbLivro;
	QComboBox* cmbCapitulo;
	QPushButton* btnLer;
	QPushButton* btnExcluir;
	QPushButton* btnExportar;
	QPushButton* btnImportar;
	QTextEdit *caixaTextoRodape;

	void carregarCombosAnotacoes();

public slots:
	void exibirAnot();
	void slotImportarAnot();
	void slotExportarAnot();
	void slotExcluirAnot();
	void carregarCmbCapitulo();
	void carregarCaixaTextoRodape();

signals:
	void novaJanela(ReadBiblia *read);
	void updateAnotacoes();
	
};
#endif

