/******************************************************************************
HEADER DA CLASSE FRMPESQUISA
CRIADO: 21-10-2008
ALTERADO: 27-12-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef FRMPESQUISA_H
#define FRMPESQUISA_H

#include <QtGui>
#include <stdlib.h>

#include "frmbase.h"
#include "config.h"

class FrmPesquisa : public FrmBase
{
    Q_OBJECT

public:
	FrmPesquisa();

	//Pesquisa
	QGroupBox *boxPesquisa;
	QLineEdit* ledPesquisa;
	QPushButton* btnPesquisa;
	QGroupBox *boxPesquisaTestamento;
	QRadioButton *radioBibliaPesquisa;
	QRadioButton *radioVelhoPesquisa;
	QRadioButton *radioNovoPesquisa;
	QGroupBox *boxPesquisaOpcoes;
	QCheckBox *chkIgnorarMM;
	QCheckBox *chkIgnorarAcentos;
	
	int getCheckOpcoes();
	void setCheckOpcoes();

	void resizeEvent(QResizeEvent* /*event*/);
	
	Config config;

private slots:
	//Pesquisa
	void carregarPesquisa();
	void setTrueBibliaPesquisa();
	void setTrueNovoPesquisa();
	void setTrueVelhoPesquisa();
	void slotHabilitarBotaoPesquisa(const QString &);

signals:
	void novaJanela(ReadPesquisa *read);

};

#endif

