/******************************************************************************
CLASSE RESOLUCAO (CONJUNTO DE METODOS)
CRIADO: 03-2008
ALTERADO: 17-04-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#include "resolucao.h"

unsigned short int FONTE_GRANDE;
unsigned short int FONTE_MEDIA;
unsigned short int FONTE_PEQUENA;
QString enderecoResolucao;

Resolucao::Resolucao():QDialog(){}

void Resolucao::lerResolucao(){
	enderecoResolucao = DIR_PATH + "resolucao.txt";
	QString resolucao = ferramentas.rw(enderecoResolucao, 'r', "");
	carregaResolucao(resolucao);
}

void Resolucao::carregaResolucao(const QString &reso){
	QString resolucao = reso;
	if (resolucao == "96"){ 	//Default
		FONTE_GRANDE = 11;
		FONTE_MEDIA = 9;
		FONTE_PEQUENA = 8;
	}
	else if (resolucao == "75"){
		FONTE_GRANDE = 14;
		FONTE_MEDIA = 12;
		FONTE_PEQUENA = 10;
	}
	else {
		FONTE_GRANDE = 11;
		FONTE_MEDIA = 9;
		FONTE_PEQUENA = 8;
		resolucao = "96";
	}
	ferramentas.rw(enderecoResolucao, 'w', resolucao);
}

int Resolucao::getFonteGrande(){
	return FONTE_GRANDE;
}
int Resolucao::getFonteMedia(){
	return FONTE_MEDIA;
}
int Resolucao::getFontePequena(){
	return FONTE_PEQUENA;
}

Resolucao::~Resolucao(){
	close();
}

