/******************************************************************************
HEADER DA CLASSE WIDGETEDITOR
CRIADO: 20-01-2009
ALTERADO: 20-01-2009
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef WIDGETEDITOR_H
#define WIDGETEDITOR_H

#include <QtGui>
#include "const.h"


class WidgetEditor : public QWidget
{
Q_OBJECT

public:
	WidgetEditor();

public slots:
	void clickedBold();
	void clickedItalic();
	void clickedUnderline();
	void clickedLeft();
	void clickedCenter();
	void clickedRight();
	void clickedColor();
	void clickedBlockQuote();
	void clickedBList();
	void clickedOList();
	void clickedClear();
	void clickedUrl();
	void clickedH1();
	void clickedH2();
	void clickedH3();
	void clickedH4();
	void clickedH5();
	void clickedH6();
	
signals:
	void clickedFormato(const QString &valor);

};
#endif

